import sys

from .base import Sensor
from .config import load_config

if sys.implementation.name == 'micropython':
    from .esp_sensors import *
elif getattr(sys.implementation, '_multiarch') == 'arm-linux-gnueabihf':
    from .pi_sensors import *
from .misc_sensors import *
