#!/usr/bin/env python

from setuptools import setup, find_packages

setup(name='mqtt-sensord',
      version='0.1.0',
      description='MQTT sensor reader daemon',
      author='Sebastian Lohff',
      author_email='seba@someserver.de',
      url='https://git.someserver.de/seba/mqtt-sensord/',
      python_requires='>=3.5',
      packages=find_packages(),
      install_requires=[
        'paho-mqtt',
        "Adafruit_DHT ; platform_machine=='armv6l' or platform_machine=='armv7l'"
      ],
      entry_points={
        'console_scripts': [
            'mqtt-sensord = mqtt_sensord.mqtt_sensord:main'
        ]
      },
      )
